/* -------------------------------------------------------------------------- 
 * Copyright (c) 2019 Arm Limited (or its affiliates). All 
 * rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *
 * $Date:        17. October 2019
 * $Revision:    V1.0
 *
 * Project:      USB Driver Definitions for NXP i.MX RT 1060 Series
 * -------------------------------------------------------------------------- */

#ifndef __USB_IMXRT1060_H
#define __USB_IMXRT1060_H

#include "RTE_Components.h"

#if defined(RTE_Drivers_USBD1) || defined(RTE_Drivers_USBD2)
#include "usb_device_config.h"
#endif

// USB Device Drivers
#if defined(RTE_Drivers_USBD1) && defined(RTE_Drivers_USBD2)
#if (USB_DEVICE_CONFIG_EHCI != 2)
  #warning Two CMSIS USBD driver are selected. Set USB_DEVICE_CONFIG_EHCI to 2 in usb_device_config.h.
#endif
#elif defined(RTE_Drivers_USBD1) || defined(RTE_Drivers_USBD2)
#if (USB_DEVICE_CONFIG_EHCI != 1)
  #warning One CMSIS USBD driver is selected. Set USB_DEVICE_CONFIG_EHCI to 1 in usb_device_config.h.
#endif
#endif

// USB Driver State Flags
// Device State Flags
#define USBD_DRIVER_INITIALIZED                (1U           )
#define USBD_DRIVER_POWERED                    (1U     <<  1U)

// Host State Flags
#define USBH_DRIVER_INITIALIZED                (1U     <<  4U)
#define USBH_DRIVER_POWERED                    (1U     <<  5U)

#endif // __USB_IMXRT1060_H
